Loading...
Searching...
No Matches
RDKit::MCSParameters Struct Reference

`#include <FMCS.h>`

Inheritance diagram for RDKit::MCSParameters:

## Public Member Functions

| MCSParameters ()
| MCSParameters (const MCSParameters *other)
| MCSParameters (const MCSParameters &other)=default
MCSParameters & | operator= (const MCSParameters &other)=default
virtual | ~MCSParameters ()
void | setMCSAtomTyperFromEnum (AtomComparator atomComp)
void | setMCSAtomTyperFromConstChar (const char *atomComp)
void | setMCSBondTyperFromEnum (BondComparator bondComp)
void | setMCSBondTyperFromConstChar (const char *bondComp)

## Public Attributes

bool | StoreAll = false
bool | MaximizeBonds = true
double | Threshold = 1.0
unsigned int | Timeout = 0
bool | Verbose = false
MCSAtomCompareParameters | AtomCompareParameters
MCSBondCompareParameters | BondCompareParameters
MCSAtomCompareFunction | AtomTyper = MCSAtomCompareElements
MCSBondCompareFunction | BondTyper = MCSBondCompareOrder
void * | CompareFunctionsUserData = nullptr
MCSProgressCallback | ProgressCallback
void * | ProgressCallbackUserData = nullptr
MCSFinalMatchCheckFunction | FinalMatchChecker = nullptr
void * | FinalMatchCheckerUserData = nullptr
MCSAcceptanceFunction | ShouldAcceptMCS = nullptr
void * | ShouldAcceptMCSUserData = nullptr
std::string | InitialSeed = ""

## Detailed Description

Definition at line 147 of file FMCS.h.

## Constructor & Destructor Documentation

## MCSParameters() [1/3]

RDKit::MCSParameters::MCSParameters | ( |  | ) |

inline

Definition at line 148 of file FMCS.h.

Referenced by MCSParameters(), MCSParameters(), RDKit::detail::MCSParametersInternal::MCSParametersInternal(), and operator=().

## MCSParameters() [2/3]

RDKit::MCSParameters::MCSParameters | ( | const MCSParameters * | other | ) |

inline

Definition at line 149 of file FMCS.h.

References MCSParameters().

## MCSParameters() [3/3]

RDKit::MCSParameters::MCSParameters | ( | const MCSParameters & | other | ) |

default

References MCSParameters().

## ~MCSParameters()

virtual RDKit::MCSParameters::~MCSParameters | ( |  | ) |

inline virtual

Definition at line 156 of file FMCS.h.

## Member Function Documentation

## operator=()

MCSParameters & RDKit::MCSParameters::operator= | ( | const MCSParameters & | other | ) |

default

References MCSParameters().

## setMCSAtomTyperFromConstChar()

void RDKit::MCSParameters::setMCSAtomTyperFromConstChar | ( | const char * | atomComp | ) |

## setMCSAtomTyperFromEnum()

void RDKit::MCSParameters::setMCSAtomTyperFromEnum | ( | AtomComparator | atomComp | ) |

## setMCSBondTyperFromConstChar()

void RDKit::MCSParameters::setMCSBondTyperFromConstChar | ( | const char * | bondComp | ) |

## setMCSBondTyperFromEnum()

void RDKit::MCSParameters::setMCSBondTyperFromEnum | ( | BondComparator | bondComp | ) |

## Member Data Documentation

## AtomCompareParameters

MCSAtomCompareParameters RDKit::MCSParameters::AtomCompareParameters

Definition at line 162 of file FMCS.h.

## AtomTyper

MCSAtomCompareFunction RDKit::MCSParameters::AtomTyper = MCSAtomCompareElements

Definition at line 164 of file FMCS.h.

## BondCompareParameters

MCSBondCompareParameters RDKit::MCSParameters::BondCompareParameters

Definition at line 163 of file FMCS.h.

## BondTyper

MCSBondCompareFunction RDKit::MCSParameters::BondTyper = MCSBondCompareOrder

Definition at line 165 of file FMCS.h.

## CompareFunctionsUserData

void* RDKit::MCSParameters::CompareFunctionsUserData = nullptr

Definition at line 166 of file FMCS.h.

## FinalMatchChecker

MCSFinalMatchCheckFunction RDKit::MCSParameters::FinalMatchChecker = nullptr

Definition at line 172 of file FMCS.h.

## FinalMatchCheckerUserData

void* RDKit::MCSParameters::FinalMatchCheckerUserData = nullptr

Definition at line 173 of file FMCS.h.

## InitialSeed

std::string RDKit::MCSParameters::InitialSeed = ""

Definition at line 178 of file FMCS.h.

## MaximizeBonds

bool RDKit::MCSParameters::MaximizeBonds = true

Definition at line 158 of file FMCS.h.

## ProgressCallback

MCSProgressCallback RDKit::MCSParameters::ProgressCallback

Initial value:
=
nullptr

Definition at line 167 of file FMCS.h.

## ProgressCallbackUserData

void* RDKit::MCSParameters::ProgressCallbackUserData = nullptr

Definition at line 169 of file FMCS.h.

## ShouldAcceptMCS

MCSAcceptanceFunction RDKit::MCSParameters::ShouldAcceptMCS = nullptr

Definition at line 176 of file FMCS.h.

## ShouldAcceptMCSUserData

void* RDKit::MCSParameters::ShouldAcceptMCSUserData = nullptr

Definition at line 177 of file FMCS.h.

## StoreAll

bool RDKit::MCSParameters::StoreAll = false

Definition at line 157 of file FMCS.h.

## Threshold

double RDKit::MCSParameters::Threshold = 1.0

Definition at line 159 of file FMCS.h.

## Timeout

unsigned int RDKit::MCSParameters::Timeout = 0

Definition at line 160 of file FMCS.h.

## Verbose

bool RDKit::MCSParameters::Verbose = false

Definition at line 161 of file FMCS.h.

The documentation for this struct was generated from the following file:

- FMCS.h